automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

java.test, fn99.test: exit and traps/subshells


From: Ralf Wildenhues
Subject: java.test, fn99.test: exit and traps/subshells
Date: Wed, 26 Apr 2006 21:15:40 +0200
User-agent: Mutt/1.5.11+cvs20060403

OK to apply?  The java.test bug caused a spurious failure on
hppa2.0w-hp-hpux11.11, as the trap would set an exit status of 0.

Cheers,
Ralf

        * tests/java.test: `configure' uses a trap, so use `(exit 77);
        exit 77' to portably set the exit status similar to AS_EXIT.
        * tests/fn99.test: propagate nonzero exit status from subshell.

Index: tests/java.test
===================================================================
RCS file: /cvs/automake/automake/tests/java.test,v
retrieving revision 1.7
diff -u -r1.7 java.test
--- tests/java.test     14 May 2005 20:28:55 -0000      1.7
+++ tests/java.test     26 Apr 2006 18:32:41 -0000
@@ -26,7 +26,7 @@
 
 cat >>configure.in <<'EOF'
 AC_CHECK_PROG([HAS_JAVAC], [javac], [:], [exit])
-$HAS_JAVAC 77
+($HAS_JAVAC 77); $HAS_JAVAC 77
 AC_OUTPUT
 EOF
 
Index: tests/fn99.test
===================================================================
RCS file: /cvs/automake/automake/tests/fn99.test,v
retrieving revision 1.2
diff -u -r1.2 fn99.test
--- tests/fn99.test     14 May 2005 20:28:55 -0000      1.2
+++ tests/fn99.test     26 Apr 2006 18:52:17 -0000
@@ -36,7 +36,7 @@
   mkdir -p 12345678 || exit 77
   cd 12345678
   touch x
-done)
+done) || exit 77
 
 $ACLOCAL
 $AUTOCONF
@@ -49,7 +49,7 @@
   mkdir -p 12345678 || exit 77
   cd 12345678
   touch x
-done)
+done) || exit 77
 
 $MAKE dist 2>stderr && exit 1
 cat stderr




reply via email to

[Prev in Thread] Current Thread [Next in Thread]